clear all
close all
profile on
times = 50;

load venus;
I = I_l;
%  cols = 1+ceil(100 * rand);
%  rows = 1+ceil(100 * rand);
%  frames = ceil(10  * rand);
cols = 1+ceil(100 * rand);
[rows cols frames] = size(I);

fprintf('Progress:        ')
for i = 1:times,
    fprintf('\b\b\b\b\b\b\b%06.2f%%', 100*(i-1)/times);

    new_cols = 1+ceil(200 * rand);
    new_rows = 1+ceil(200 * rand);

%      I = randn(rows, cols, frames);

    [col_grid row_grid] = meshgrid(linspace(1,cols,new_cols),  linspace(1,rows,new_rows));

    I_orig      = bilin_interp_orig(I, col_grid, row_grid);
    I_orig_mod  = bilin_interp(I, col_grid, row_grid);
    I_new       = interp2b(I, col_grid, row_grid);
%
%      if ~isequal(size(I_orig), size(I_new)),
%          fprintf('\nNot equal sizes!\nProgress:        ')
%      end

    subplot(221)
    imagesc(I(:,:,1))
    title('I(:,:,1)')

    subplot(222)
    imagesc(I_orig(:,:,1))
    title('I_orig(:,:,1)')

    subplot(223)
    imagesc(I_orig_mod(:,:,1))
    title('I_orig_mod(:,:,1)')

    subplot(224)
    imagesc(I_new(:,:,1))
    title('I_new(:,:,1)')

    drawnow

    fprintf('\b\b\b\b\b\b\b%06.2f%%', 100*i/times);
end
profile off
profview